- scm:
    name: poky
    scm:
        - git:
            url: http://git.yoctoproject.org/git/poky
            refspec: +refs/heads/dunfell:refs/remotes/origin/dunfell
            name: origin
            branches:
                - refs/heads/dunfell
            skip-tag: true
            shallow-clone: true
            wipe-workspace: false
- scm:
    name: meta-linaro
    scm:
        - git:
            url: git://git.linaro.org/openembedded/meta-linaro.git
            refspec: +refs/heads/dunfell:refs/remotes/origin/dunfell
            name: origin
            branches:
                - refs/heads/dunfell
            skip-tag: true
            shallow-clone: true
            wipe-workspace: false
- scm:
    name: meta-openembedded
    scm:
        - git:
            url: https://github.com/openembedded/meta-openembedded
            refspec: +refs/heads/dunfell:refs/remotes/origin/dunfell
            name: origin
            branches:
                - refs/heads/dunfell
            skip-tag: true
            shallow-clone: true
            wipe-workspace: false
- scm:
    name: meta-rauc
    scm:
        - git:
            url: https://github.com/rauc/meta-rauc
            refspec: +refs/heads/dunfell:refs/remotes/origin/dunfell
            name: origin
            branches:
                - refs/heads/dunfell
            skip-tag: true
            shallow-clone: true
            wipe-workspace: false
- scm:
    name: meta-security
    scm:
        - git:
            url: https://git.yoctoproject.org/git/meta-security
            refspec: +refs/heads/dunfell:refs/remotes/origin/dunfell
            name: origin
            branches:
                - refs/heads/dunfell
            skip-tag: true
            shallow-clone: true
            wipe-workspace: false
- scm:
    name: meta-virtualization
    scm:
        - git:
            url: https://git.yoctoproject.org/git/meta-virtualization
            refspec: +refs/heads/dunfell:refs/remotes/origin/dunfell
            name: origin
            branches:
                - refs/heads/dunfell
            skip-tag: true
            shallow-clone: true
            wipe-workspace: false
- scm:
    name: meta-backports
    scm:
        - git:
            url: ssh://git@dev-private-git.linaro.org/schneider/meta-backports.git
            refspec: +refs/heads/dunfell:refs/remotes/origin/dunfell
            credentials-id: '768c1ba1-6052-4b97-a531-7e4fabda6979'
            name: origin
            branches:
                - refs/heads/dunfell
            skip-tag: true
            shallow-clone: true
            wipe-workspace: false
- scm:
    name: meta-dip-base
    scm:
        - git:
            url: ssh://git@dev-private-git.linaro.org/schneider/meta-dip-base.git
            refspec: +refs/heads/dunfell:refs/remotes/origin/dunfell
            credentials-id: '768c1ba1-6052-4b97-a531-7e4fabda6979'
            name: origin
            branches:
                - refs/heads/dunfell
            skip-tag: true
            shallow-clone: true
            wipe-workspace: false
- scm:
    name: DIP-Yocto-Linux-Distro
    scm:
        - git:
            url: ssh://git@dev-private-git.linaro.org/schneider/DIP-Yocto-Linux-Distro.git
            refspec: +refs/heads/linaro-dunfell:refs/remotes/origin/linaro-dunfell
            credentials-id: '768c1ba1-6052-4b97-a531-7e4fabda6979'
            name: origin
            branches:
                - refs/heads/linaro-dunfell
            skip-tag: true
            shallow-clone: true
            wipe-workspace: false
- scm:
    name: DIP-linux
    scm:
        - git:
            url: ssh://git@dev-private-git.linaro.org/schneider/DIP-linux.git
            refspec: +refs/heads/lces2-5.4-lts:refs/remotes/origin/lces2-5.4-lts
            credentials-id: '768c1ba1-6052-4b97-a531-7e4fabda6979'
            name: origin
            branches:
                - refs/heads/lces2-5.4-lts
            skip-tag: true
            shallow-clone: true
            wipe-workspace: false
- scm:
    name: DIP-uboot
    scm:
        - git:
            url: ssh://git@dev-private-git.linaro.org/schneider/DIP-uboot.git
            refspec: +refs/heads/lces2-2020.07:refs/remotes/origin/lces2-2020.07
            credentials-id: '768c1ba1-6052-4b97-a531-7e4fabda6979'
            name: origin
            branches:
                - refs/heads/lces2-2020.07
            skip-tag: true
            shallow-clone: true
            wipe-workspace: false
- scm:
    name: DIP-secureboot
    scm:
        - git:
            url: ssh://git@dev-private-git.linaro.org/schneider/DIP-secureboot.git
            refspec: +refs/heads/linaro:refs/remotes/origin/linaro
            credentials-id: '768c1ba1-6052-4b97-a531-7e4fabda6979'
            name: origin
            branches:
                - refs/heads/linaro
            skip-tag: true
            shallow-clone: true
            wipe-workspace: false
- job:
    name: trigger-schneider-openembedded-dunfell-rzn1d-5.4
    project-type: freestyle
    defaults: global
    properties:
        - authorization:
            anonymous:
                - job-discover
            ralph.siemsen@linaro.org:
                - job-build
                - job-read
                - job-extended-read
                - job-configure
                - job-cancel
            schneider-linaro-git:
                - job-read
                - job-extended-read
        - build-discarder:
            days-to-keep: 30
            num-to-keep: 30
    disabled: true
    node: triggers
    display-name: 'DELETE ME'
    scm:
        - poky
        - meta-linaro
        - meta-openembedded
        - meta-rauc
        - meta-security
        - meta-virtualization
        - meta-backports
        - meta-dip-base
        - DIP-Yocto-Linux-Distro
        - DIP-linux
        - DIP-uboot
        - DIP-secureboot
    triggers:
        - pollscm: 'H 12,6 * * *'
    wrappers:
        - timestamps
        - build-name:
            name: '#${BUILD_NUMBER}-${GIT_REVISION,length=8}'
        - ssh-agent-credentials:
                users:
                - '768c1ba1-6052-4b97-a531-7e4fabda6979'
    builders:
        - trigger-builds:
            - project: 'schneider-openembedded-dunfell-5.4'
              predefined-parameters: GIT_COMMIT=${GIT_COMMIT}
    publishers:
        - email:
            recipients: 'ralph.siemsen@linaro.org'
